com.taosdata.jdbc.enums

## Enum FetchState

- java.lang.Object
- - java.lang.Enum<FetchState>
  - - com.taosdata.jdbc.enums.FetchState

All Implemented Interfaces:
  Serializable, Comparable<FetchState>

    public enum FetchState
    extends Enum<FetchState>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FETCHING`
`FINISHED_ERROR`
`STOPPED`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`long` `get()`
`static FetchState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FetchState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STOPPED

    public static final FetchState STOPPED

#### FETCHING

    public static final FetchState FETCHING

#### FINISHED_ERROR

    public static final FetchState FINISHED_ERROR

### Method Detail

#### values

    public static FetchState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FetchState c : FetchState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FetchState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### get

    public long get()